Get Queue Size
GET
/api/v1/devices/{dt_name}/queue-size
const url = 'https://example.com/api/v1/devices/EMU_FREE/queue-size';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/devices/EMU_FREE/queue-size \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”dt_name
required
DeviceTypeName
Enumeration of allowed and legacy device type names
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
NonPaginatedResponse[ProducedManyQueueSizesResponse]
object
Examplegenerated
{ "data": { "device_queues": [ { "queue": "example", "number_of_jobs": 1, "number_of_shots": 1 } ] }}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}